Bug 214432 - Memory ballooning options should be greyed out for HVM guests
Summary: Memory ballooning options should be greyed out for HVM guests
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Berrange
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-07 17:03 UTC by Chris Lalancette
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-23 02:11:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Lalancette 2006-11-07 17:03:42 UTC
Description of problem:
When you click "Details", and then Hardware for an HVM guest, it will allow you
to change the currently amount of memory allocated to the guest, even though HVM
guests don't support memory ballooning at all.  These options should be greyed
out so we don't give the user the false impression that we can memory balloon.

Version-Release number of selected component (if applicable):
virt-manager 0.2.5-1.el5
libvirt 0.1.8-1.el5

Comment 1 RHEL Product and Program Management 2006-11-20 16:41:58 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Jay Turner 2006-11-22 13:37:11 UTC
QE ack for RHEL5.

Comment 3 Daniel Berrange 2006-12-13 21:55:29 UTC
Fix built into dist-5E

$ brew latest-pkg dist-5E virt-manager
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
virt-manager-0.2.6-4.el5                  dist-5E               berrange


%changelog
* Wed Dec 13 2006 Daniel Berrange <berrange@localhost.localdomain> - 0.2.6-4.el5
- Disable memory ballooning & CPU hotplug for HVM guests (bz 214432)



Comment 5 RHEL Product and Program Management 2006-12-23 02:11:29 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.



Note You need to log in before you can comment on or make changes to this bug.